using System;
using System.Collections.Generic;
using Newtonsoft.Json;

namespace isnd.Data.Catalog
{
    public class CatalogLeaf : IObject
    {

        [JsonProperty("@type")]
        public List<string> RefType { get; set; }

        [JsonProperty("commitId")]
        public string CommitId { get; set; }

        [JsonProperty("commitTimeStamp")]
        public DateTime CommitTimeStamp { get; set; }

        [JsonProperty("published")]
        public DateTime Published { get; set; }

        [JsonProperty("id")]
        public string Id { get; set; }
        
        [JsonProperty("version")]
        public string Version { get; set; }

    }
}